%global debug_package %{nil}
%define _missing_build_ids_terminate_build 0
%global jf_release 6

Name:           jellyfin-ffmpeg-bin
Summary:        FFmpeg for Jellyfin
Version:        7.0.2
Release:        %{jf_release}%{?dist}
License:        GPL3
URL:            https://github.com/jellyfin/jellyfin-ffmpeg

ExclusiveArch:  x86_64

Conflicts:      jellyfin-ffmpeg

Requires:       glibc >= 2.23

Recommends:     intel-media-driver
Recommends:     intel-mediasdk
Recommends:     oneVPL-intel-gpu
Recommends:     intel-compute-runtime
Recommends:     libva-intel-driver
Recommends:     mesa-va-drivers
Recommends:     rocm-opencl
Recommends:     mesa-vulkan-drivers


Source0: https://github.com/jellyfin/jellyfin-ffmpeg/releases/download/v%{version}-%{jf_release}/jellyfin-ffmpeg_%{version}-%{jf_release}_portable_linux64-gpl.tar.xz
Source1: https://raw.githubusercontent.com/jellyfin/jellyfin-ffmpeg/v%{version}-%{jf_release}/LICENSE.md
Source2: https://raw.githubusercontent.com/jellyfin/jellyfin-ffmpeg/v%{version}-%{jf_release}/Changelog
Source3: https://raw.githubusercontent.com/jellyfin/jellyfin-ffmpeg/v%{version}-%{jf_release}/README.md

%description
%{summary}.

%prep
%setup -c
cp %{SOURCE1} %{_builddir}/%{name}-%{version}/
cp %{SOURCE2} %{_builddir}/%{name}-%{version}/
cp %{SOURCE3} %{_builddir}/%{name}-%{version}/

%install
install -Dm 755 ffmpeg %{buildroot}%{_libdir}/jellyfin-ffmpeg/ffmpeg
install -Dm 755 ffprobe %{buildroot}%{_libdir}/jellyfin-ffmpeg/ffprobe

%files
%{_libdir}/jellyfin-ffmpeg/ffmpeg
%{_libdir}/jellyfin-ffmpeg/ffprobe
%license LICENSE.md
%doc README.md Changelog

%changelog
%autochangelog
